Subject: Re: NULL Object

From: Rajesh P Jain <[email-masked]>
Date: Fri, 13 Jul 2001 10:21:45 +0530

"Hi", Jack,
                    I agree with you that it reduces the creation of a
new
packet.

                    But does not it increases the processing overhead at
each
node through which the packet with a NULL object traverse?

                    I mean to say that all the subsequent node through
which
the packet traverse needs to check the NULL object condition and hence
ignore
it.

                    Please throw some loght on it.

With Regards
                    Rajesh P Jain

Jack Brennen wrote:

> Adithya Bhat wrote:
> >
> > Hi *,
> >
> > In  RFC 2205, Section 3.1.2 there is  a reference  to a NULL object
> > which says
> >
> >                     "A NULL object has a Class-Num of zero, and its
> > C-Type
> >                    is ignored.  Its length must be at least 4, but can
> >                    be any multiple of 4.  A NULL object may appear
> >                    anywhere in a sequence of objects, and its contents
> >                    will be ignored by the receiver."
> >
> > If the content of this Object is to be ignored, can somebody explain me
> > the importance of this Object ?
> >
>
> It allows an implementation to "delete" an object from a message
> by simply replacing the Class-Num with 0.  This is usually less
> expensive than actually reconstructing the packet.